import { Db, IOp, ICommitSnapshot, ISnapshot, IDocument, ISnapshotFragments } from "@grapecity-software/js-collaboration-ot";
import {Pool} from "pg";
export declare class PostgresDb<S = unknown, T = unknown> extends Db<S, T> {
    constructor(pool: Pool);
    getDocument(roomId: string): Promise<IDocument | undefined>;
    getSnapshot(roomId: string): Promise<ISnapshot<S> | undefined>;
    getFragments(roomId: string): Promise<ISnapshotFragments<S>>;
    getFragment(roomId: string, fragmentId: string): Promise<S | undefined>;
    getOps(roomId: string, fromVersion: number, toVersion?: number): Promise<IOp<T>[]>;
    commitOp(id: string, op: IOp<T>, document: IDocument): Promise<boolean>;
    commitSnapshot(roomId: string, snapshot: ICommitSnapshot<S>): Promise<boolean>;
    close(): Promise<void>;
}